#ifndef PLC_LICENCE31_H
#define PLC_LICENCE31_H

#include <stdint.h>
#include <iostream>
#include <vector>
#include "utils.h"
#include "licenceCommon.h"

using namespace std;

class LicenceELC31
{
  LicData lData;
  bool processInputConfiguration();

  public:
  LicenceELC31();
  ~LicenceELC31();
  LicenceELC31(LicData & licData);
  LicenceELC31(LicenceIdentification & licIdentification);
  void createLicence();
  void readLicence();
  int getDataPointsCount(int protocolId);
  bool getLicenceInfo(int protocolId, void * ptr);
};

#endif

